package cz.moneta.test.dsl.exevido.tasks;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.exevido.pages.NewIncomingMessagePage;

import java.util.function.Function;

public class IncomingMessageTasks {

    private final Harness harness;

    public IncomingMessageTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewIncomingMessagePage, NewIncomingMessagePage> selectFirstFolderFileAndSave() {
        return start -> start
                .clickFolderFileNumber()
                .clickFirstFolderFile()
                .clickSaveCheckedField();
    }

}